# Created by pyp2rpm-3.3.3
%global pypi_name jupyter_telemetry

Name:           python-jupyter-telemetry
Version:        0.1.0
Release:        1%{?dist}
Summary:        Jupyter telemetry library

License:        BSD
URL:            http://jupyter.org
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(jsonschema)
BuildRequires:  python3dist(python-json-logger)
BuildRequires:  python3dist(ruamel.yaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(traitlets)

%description
 Telemetry[![CircleCI]( [![codecov]( [![Documentation Status]( for Jupyter
Applications and extensions.*> Telemetry (təˈlemətrē): the process of recording
and transmitting the readings of an instrument. [Oxford Dictionaries]Jupyter
Telemetry enables Jupyter Applications (e.g. Jupyter Server, Jupyter Notebook,
JupyterLab, JupyterHub, etc.) to record **events**—i.e. actions by
application...

%package -n     python3-jupyter-telemetry
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(jsonschema)
Requires:       python3dist(python-json-logger)
Requires:       python3dist(ruamel.yaml)
Requires:       python3dist(traitlets)
%description -n python3-jupyter-telemetry
 Telemetry[![CircleCI]( [![codecov]( [![Documentation Status]( for Jupyter
Applications and extensions.*> Telemetry (təˈlemətrē): the process of recording
and transmitting the readings of an instrument. [Oxford Dictionaries]Jupyter
Telemetry enables Jupyter Applications (e.g. Jupyter Server, Jupyter Notebook,
JupyterLab, JupyterHub, etc.) to record **events**—i.e. actions by
application...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-jupyter-telemetry
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Oct 20 2021 Aram Minasyan <aram.minasyan@yahoo.com> - 0.1.0-1
- Initial package.
